%define name xdrawchem
%define version 0.96
%define release 3mdk

Summary: 	2D chemical structures drawing tool
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
##### Pristine sources are actually tgzipped
Source0: 	http://www.prism.gatech.edu/~gte067k/xdrawchem/%{name}-%{version}.tar.bz2
URL: 		http://www.prism.gatech.edu/~gte067k/xdrawchem
License: 	modified BSD
Group: 		Sciences/Chemistry
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libqt2-devel
Requires: 	libqt2

%description
XDrawChem is a two-dimensional molecule drawing program for Unix
operating systems.  It is similar in functionality to other molecule
drawing programs such as ChemDraw (TM, CambridgeSoft).  It can read
and write MDL Molfiles and CML files to allow sharing between
XDrawChem and other chemistry applications.

WARNING! This software is still in ALPHA state.


%prep
%setup

%build
%make QTDIR=%{_libdir}/qt2 RINGDIR=\"\\\"%{_libdir}/%{name}-%{version}/\\\"\"


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}
%makeinstall INSTDIR=$RPM_BUILD_ROOT%{_bindir} \
	INSTRING=$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}
# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{name}"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="Xdrawchem"\
icon="chemistry_section.xpm"\
longtitle="2D chemical structures drawing tool"
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
%{update_menus}


%postun
/sbin/ldconfig
%{clean_menus}


%files
%defattr(-,root,root)
%doc HISTORY.txt LICENSE.txt README.txt TODO.txt
%{_bindir}/xdrawchem
%{_libdir}/%{name}-%{version}
%{_menudir}/%{name}


%changelog
* Wed Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-3mdk
- Fix icon 

* Tue Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-2mdk
-Rebuild

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.96-1mdk
- 0.96

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 0.94-1mdk
- updated from Thomas Leclerc <leclerc@linux-mandrake.com> 0.94-1mdk
	- version 0.94
	- add menu entry

* Wed Jul 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.92-1mdk

- added in contribs by Thomas Leclerc <leclerc@linux-mandrake.com> :
        - version 0.92
	
* Tue Jul 10 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.91-1mdk
- version 0.91
- remove matherr-patch (obsolete)

* Mon Jun 18 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9-1mdk
- initial mandrake release
- patch errors in libm usage

# end of file
